Do Not Contact

Search DNC Item

GET /v1/dnc/item/search

GET/v1/dnc/item/search
GET
/v1/dnc/item/search

Search DNC item across all lists

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Query Parameters

searchstring

Search by item value

pageSizenumber

Number of items per page. Maximum pageSize is 100

Default: 25

pagenumber

Page number for pagination.

Default: 1

typestring

type of item

Value in: "all" | "email" | "domain"

Responses

200
Successfully fetched dnc list with items
{
  "message": "Successfully fetched dnc item",
  "payload": {
    "dncList": [
      {
        "id": "9pa8lvQay2",
        "name": "Global Do Not Contact List",
        "numberOfItems": 2,
        "createdAt": "2024-08-14T05:29:42.734Z",
        "updatedAt": "2024-11-15T03:53:20.811Z",
        "addedBy": "John Patel",
        "ownerId": "9KwOp8YP6k",
        "dncItems": [
          {
            "id": "9KwONr6Yz6",
            "value": "[email protected]",
            "type": "email",
            "createdAt": "2024-11-15T03:53:20.814Z"
          }
        ]
      }
    ],
    "meta": {
      "totalItems": 1,
      "currentPage": 1,
      "itemsPerPage": 25,
      "totalPages": 1,
      "itemCount": 1
    }
  }
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/dnc/item/search" \
  -H "x-api-key: YOUR_API_KEY"

Response

No response body